/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import {useContext} from 'react';
import ThemeContext from '@theme/ThemeContext';

// TODO: Un-stub the theme context (#3730)
function useThemeContext() {
  const context = useContext(ThemeContext);
  return context == null
    ? {
        isDarkTheme: false,
      }
    : context;
}

export default useThemeContext;
